/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.gui;

import com.sun.jdi.*;
import com.sun.tools.example.debug.bdi.*;
import java.util.EventObject;

public class CurrentFrameChangedEvent extends EventObject {

    private ThreadInfo tinfo;
    private int index;
    private boolean invalidate;

    public CurrentFrameChangedEvent(Object source, ThreadInfo tinfo, 
                                    int index, boolean invalidate) {
	super(source);
	this.tinfo = tinfo;
	this.index = index;
	this.invalidate = invalidate;
    }

    public ThreadReference getThread() {
	return tinfo == null? null : tinfo.thread();
    }

    public ThreadInfo getThreadInfo() {
	return tinfo;
    }

    public int getIndex() {
	return index;
    }

    public boolean getInvalidate() {
	return invalidate;
    }
}
